Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.regex
Class RegexData

    java.lang.Object
      net.sf.saxon.regex.RegexData

    public class RegexData

extends Object

Non-instantiable class containing constant data definitions used by the various Regular Expression translators

Field Summary
`static String[]` | `blockNames`
`static String` | `categories`
`static String` | `CATEGORY_NAMES`
`static String` | `CATEGORY_Pf`
`static String` | `CATEGORY_Pi`
`static int[][]` | `CATEGORY_RANGES`
`static char` | `EOS`
`static String` | `NMCHAR_CATEGORIES`
`static String` | `NMCHAR_EXCLUDE_RANGES`
`static String` | `NMCHAR_INCLUDES`
`static String` | `NMSTRT_CATEGORIES`
`static String` | `NMSTRT_EXCLUDE_RANGES`
`static String` | `NMSTRT_INCLUDES`
`static int` | `NONBMP_MAX`
`static int` | `NONBMP_MIN`
`static String[]` | `specialBlockNames` Names of blocks including ranges outside the BMP.
`static String` | `subCategories`
`static char` | `SURROGATE2_MAX`
`static char` | `SURROGATE2_MIN`
`static char` | `UNICODE_3_1_ADD_Ll`
`static char` | `UNICODE_3_1_ADD_Lu`
`static char` | `UNICODE_3_1_CHANGE_No_to_Nl_MAX`
`static char` | `UNICODE_3_1_CHANGE_No_to_Nl_MIN`

Constructor Summary
`RegexData()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### categories

    public static final String categories

See Also:
  Constant Field Values

### subCategories

    public static final String subCategories

See Also:
  Constant Field Values

### EOS

    public static final char EOS

See Also:
  Constant Field Values

### NONBMP_MIN

    public static final int NONBMP_MIN

See Also:
  Constant Field Values

### NONBMP_MAX

    public static final int NONBMP_MAX

See Also:
  Constant Field Values

### SURROGATE2_MIN

    public static final char SURROGATE2_MIN

See Also:
  Constant Field Values

### SURROGATE2_MAX

    public static final char SURROGATE2_MAX

See Also:
  Constant Field Values

### blockNames

    public static final String[] blockNames

### specialBlockNames

    public static final String[] specialBlockNames

  Names of blocks including ranges outside the BMP.

### CATEGORY_NAMES

    public static final String CATEGORY_NAMES

See Also:
  Constant Field Values

### CATEGORY_RANGES

    public static final int[][] CATEGORY_RANGES

### NMSTRT_INCLUDES

    public static final String NMSTRT_INCLUDES

See Also:
  Constant Field Values

### NMSTRT_EXCLUDE_RANGES

    public static final String NMSTRT_EXCLUDE_RANGES

See Also:
  Constant Field Values

### NMSTRT_CATEGORIES

    public static final String NMSTRT_CATEGORIES

See Also:
  Constant Field Values

### NMCHAR_INCLUDES

    public static final String NMCHAR_INCLUDES

See Also:
  Constant Field Values

### NMCHAR_EXCLUDE_RANGES

    public static final String NMCHAR_EXCLUDE_RANGES

See Also:
  Constant Field Values

### NMCHAR_CATEGORIES

    public static final String NMCHAR_CATEGORIES

See Also:
  Constant Field Values

### UNICODE_3_1_ADD_Lu

    public static final char UNICODE_3_1_ADD_Lu

See Also:
  Constant Field Values

### UNICODE_3_1_ADD_Ll

    public static final char UNICODE_3_1_ADD_Ll

See Also:
  Constant Field Values

### UNICODE_3_1_CHANGE_No_to_Nl_MIN

    public static final char UNICODE_3_1_CHANGE_No_to_Nl_MIN

See Also:
  Constant Field Values

### UNICODE_3_1_CHANGE_No_to_Nl_MAX

    public static final char UNICODE_3_1_CHANGE_No_to_Nl_MAX

See Also:
  Constant Field Values

### CATEGORY_Pi

    public static final String CATEGORY_Pi

See Also:
  Constant Field Values

### CATEGORY_Pf

    public static final String CATEGORY_Pf

See Also:
  Constant Field Values

Constructor Detail

### RegexData

    public RegexData()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.